package org.xyzh.common.dto;

import java.io.Serializable;
import java.util.Date;


/**
 * @description    BaseDTO.java文件描述
 * @filename    BaseDTO.java
 * @author    yslg
 * @copyright xyzh
 * @since 2025-09-07
 */
public class BaseDTO implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * @description    id 主键
     * @author    yslg
     * @since 2025-09-10
     */
    private String id;

    /**
     * @description    创建时间
     * @author    yslg
     * @since 2025-09-10
     */
    private Date createTime;

    /**
     * @description    更新时间
     * @author    yslg
     * @since 2025-09-10
     */
    private Date updateTime;

    /**
     * @description    删除时间
     * @author    yslg
     * @since 2025-09-10
     */
    private Date deleteTime;

    /**
     * @description    是否删除
     * @author    yslg
     * @since 2025-09-10
     */
    private boolean deleted;



    public BaseDTO() {
    }

    /**
     * @description    获取ID
     * @return    String ID
     * @author    yslg
     * @since 2025-09-10
     */
    public String getID() {
        return this.id;
    }

    /**
     * @description    设置ID
     * @param    id ID
     * @author    yslg
     * @since 2025-09-10
     */
    public void setID(String id) {
        this.id = id;
    }

    /**
     * @description    获取创建时间
     * @return    Date 创建时间
     * @author    yslg
     * @since 2025-09-10
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * @description    设置创建时间
     * @param    createTime 创建时间
     * @author    yslg
     * @since 2025-09-10
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * @description    获取更新时间
     * @return    Date 更新时间
     * @author    yslg
     * @since 2025-09-10
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * @description    设置更新时间
     * @param    updateTime 更新时间
     * @author    yslg
     * @since 2025-09-10
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * @description    获取删除时间
     * @return    Date 删除时间
     * @author    yslg
     * @since 2025-09-10
     */
    public Date getDeleteTime() {
        return deleteTime;
    }

    /**
     * @description    设置删除时间
     * @param    deleteTime 删除时间
     * @author    yslg
     * @since 2025-09-10
     */
    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * @description    获取是否删除
     * @return    boolean 是否删除
     * @author    yslg
     * @since 2025-09-10
     */
    public boolean getDeleted() {
        return deleted;
    }

    /**
     * @description    设置是否删除
     * @param    deleted 是否删除
     * @author    yslg
     * @since 2025-09-10
     */
    public void setDeleted(boolean deleted) {
        this.deleted = deleted;
    }

    @Override
    public String toString(){
        return "BaseDTO { id=" + id + ", createTime=" + createTime + ", updateTime=" + updateTime + ", deleteTime=" + deleteTime + ", deleted=" + deleted + " }";
    }
}
